JycompileAntTask (Jython API documentation)
Date: 2024-08-18

org.python.util

## Class JycompileAntTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - org.python.util.GlobMatchingTask
        - - org.python.util.JycompileAntTask

- All Implemented Interfaces:
    java.lang.Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

      public class JycompileAntTask
      extends GlobMatchingTask

  Compiles all python files in a directory to bytecode, and writes them to another directory, possibly the same one.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JycompileAntTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(java.util.Set<java.io.File> toCompile)`

    - ### Methods inherited from class org.python.util.GlobMatchingTask

      `execute, getDestdir, getSrcdir, setDestdir, setSrcdir`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JycompileAntTask

          public JycompileAntTask()

  - ### Method Detail

    - #### process

          public void process(java.util.Set<java.io.File> toCompile)
                       throws org.apache.tools.ant.BuildException

      Throws:
        `org.apache.tools.ant.BuildException`

Jython homepage